<div class="leaderboard" [ngClass]="table?.subject.name">
<header class="subject-background">
  <div class="u-h2">Leaderboard</div>
  <div class="user-score">
    <div style="float:left">
      <div class="o-user-with-avatar profile-pic"><img [src]="coreService.player?.avatar || images.common.spinner" /><span>{{coreService.player?.displayName}}</span></div>
    </div>
    <div class="stats">{{gameService.table?.subject.name}}
      <div><div class="u-h5">{{playerParticipation?.correctCount}}</div><div>Correct answers</div></div>
      <div><div class="u-h5">{{ranksWorth && ranksWorth[this.playerParticipation?.correctCount]}}</div><div>Estimated reward</div></div>
    </div>
  </div>
</header>
<div class="ranks-list">
  <div class="score-rank"  *ngFor="let i of ranksRange">
    <div class="o-layout">
      <div class="o-layout__item  u-1/5">
        <div class="rank">
          <img [src]="images.game.medal"/>
          <div class="index">{{i}}</div>
        </div>
      </div>
      <div class="o-layout__item  u-1/5"></div>
      <div class="o-layout__item  u-1/5 u-stats"><div><div class="u-h4">{{ranks[i]}}</div><div>Players</div></div></div>
      <div class="o-layout__item  u-2/5 u-stats"><div><div class="u-h4">{{ranksWorth[i]}}</div><div>For each player</div></div></div>
    </div>
  </div>
  <div class="o-layout score-rank last-places u-incorrect-bg">
    <div class="o-layout__item  u-1/5">
      <div class="rank ">
        <div class="index">0-4</div>
      </div>
    </div>
    <div class="o-layout__item  u-1/5"></div>
    <div class="o-layout__item  u-1/5 u-stats"><div><div class="u-h4">{{ranks[0] + ranks[1]  + ranks[2]  + ranks[3] + ranks[4]}}</div><div>Players</div></div></div>
    <div class="o-layout__item  u-2/5 u-stats"><div><div class="u-h4"> 0</div><div>For each player</div></div></div>
  </div>
</div>
</div>
